Subject: bug#40053: 28.0; text-property-search-forward skips first region

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 14 Mar 2020 12:37:51 +0100

Stephen Berman <[email-masked]> writes:

> But you've called it with the argument PREDICATE nil, which means the
> search succeeds if the value of the propertized text does not match the
> VALUE argument, i.e. in this case if 'bar does not match 'bar.  Since
> this is false, the search stops, leaving point at the last position
> where the value of 'foo changed, which is the beginning of the second
> button.

Yup.  So I don't think there's any bug here, and I'm closing this bug
report.  If there's still something to fix here, respond, and the bug
report will be reopened.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no